Package org.kapott.hbci.sepa.jaxb.pain_008_002_02

# Class PaymentTypeInformationSDD

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_02.PaymentTypeInformationSDD

public class PaymentTypeInformationSDD extends Object

Java class for PaymentTypeInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ServiceLevelSEPA"/>
             <element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}LocalInstrumentSEPA"/>
             <element name="SeqTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}SequenceType1Code"/>
             <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CategoryPurposeSEPA" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CategoryPurposeSEPA`
`ctgyPurp`
`protected LocalInstrumentSEPA`
`lclInstrm`
`protected SequenceType1Code`
`seqTp`
`protected ServiceLevelSEPA`
`svcLvl`

## Constructor Summary

Constructors
Constructor
Description
`PaymentTypeInformationSDD()`

## Method Summary

Modifier and Type
Method
Description
`CategoryPurposeSEPA`
`getCtgyPurp()`
Gets the value of the ctgyPurp property.
`LocalInstrumentSEPA`
`getLclInstrm()`
Gets the value of the lclInstrm property.
`SequenceType1Code`
`getSeqTp()`
Gets the value of the seqTp property.
`ServiceLevelSEPA`
`getSvcLvl()`
Gets the value of the svcLvl property.
`void`
`setCtgyPurp(CategoryPurposeSEPA value)`
Sets the value of the ctgyPurp property.
`void`
`setLclInstrm(LocalInstrumentSEPA value)`
Sets the value of the lclInstrm property.
`void`
`setSeqTp(SequenceType1Code value)`
Sets the value of the seqTp property.
`void`
`setSvcLvl(ServiceLevelSEPA value)`
Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### svcLvl

protected ServiceLevelSEPA svcLvl

### lclInstrm

protected LocalInstrumentSEPA lclInstrm

### seqTp

protected SequenceType1Code seqTp

### ctgyPurp

protected CategoryPurposeSEPA ctgyPurp

## Constructor Details

### PaymentTypeInformationSDD

public PaymentTypeInformationSDD()

## Method Details

### getSvcLvl

public ServiceLevelSEPA getSvcLvl()
Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevelSEPA`

### setSvcLvl

public void setSvcLvl(ServiceLevelSEPA value)
Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevelSEPA`

### getLclInstrm

public LocalInstrumentSEPA getLclInstrm()
Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrumentSEPA`

### setLclInstrm

public void setLclInstrm(LocalInstrumentSEPA value)
Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrumentSEPA`

### getSeqTp

public SequenceType1Code getSeqTp()
Gets the value of the seqTp property.

Returns:
  possible object is `SequenceType1Code`

### setSeqTp

public void setSeqTp(SequenceType1Code value)
Sets the value of the seqTp property.

Parameters:
  `value` - allowed object is `SequenceType1Code`

### getCtgyPurp

public CategoryPurposeSEPA getCtgyPurp()
Gets the value of the ctgyPurp property.

Returns:
  possible object is `CategoryPurposeSEPA`

### setCtgyPurp

public void setCtgyPurp(CategoryPurposeSEPA value)
Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `CategoryPurposeSEPA`